# Classes

The following classes are defined:

|Name                |Description                                                           |
|:-------------------|:---------------------------------------------------------------------|
|[auth](@root@management-api/class-auth.html)|Management of remote authentication services                          |
|[blob](@root@management-api/class-blob.html)|A placeholder for a binary blob                                       |
|[Bond](@root@management-api/class-bond.html)|A Network bond that combines physical network interfaces, also known as link aggregation|
|[Certificate](@root@management-api/class-certificate.html)|An X509 certificate used for TLS connections                          |
|[Cluster](@root@management-api/class-cluster.html)|Cluster&#45;wide Cluster metadata                                     |
|[Cluster_host](@root@management-api/class-cluster_host.html)|Cluster member metadata                                               |
|[console](@root@management-api/class-console.html)|A console                                                             |
|[crashdump](@root@management-api/class-crashdump.html)|**Deprecated**. A VM crashdump                                        |
|[data_source](@root@management-api/class-data_source.html)|Data sources for logging in RRDs                                      |
|[DR_task](@root@management-api/class-dr_task.html)|DR task                                                               |
|[event](@root@management-api/class-event.html)|Asynchronous event registration and handling                          |
|[Feature](@root@management-api/class-feature.html)|A new piece of functionality                                          |
|[GPU_group](@root@management-api/class-gpu_group.html)|A group of compatible GPUs across the resource pool                   |
|[host](@root@management-api/class-host.html)|A physical host                                                       |
|[host_cpu](@root@management-api/class-host_cpu.html)|**Deprecated**. A physical CPU                                        |
|[host_crashdump](@root@management-api/class-host_crashdump.html)|Represents a host crash dump                                          |
|[host_metrics](@root@management-api/class-host_metrics.html)|The metrics associated with a host                                    |
|[host_patch](@root@management-api/class-host_patch.html)|**Deprecated**. Represents a patch stored on a server                 |
|[LVHD](@root@management-api/class-lvhd.html)|LVHD SR specific operations                                           |
|[message](@root@management-api/class-message.html)|An message for the attention of the administrator                     |
|[network](@root@management-api/class-network.html)|A virtual network                                                     |
|[network_sriov](@root@management-api/class-network_sriov.html)|network&#45;sriov which connects logical pif and physical pif         |
|[Observer](@root@management-api/class-observer.html)|Describes an observer which will control observability activity in the Toolstack|
|[PBD](@root@management-api/class-pbd.html)|The physical block devices through which hosts access SRs             |
|[PCI](@root@management-api/class-pci.html)|A PCI device                                                          |
|[PGPU](@root@management-api/class-pgpu.html)|A physical GPU &#40;pGPU&#41;                                         |
|[PIF](@root@management-api/class-pif.html)|A physical network interface &#40;note separate VLANs are represented as several PIFs&#41;|
|[PIF_metrics](@root@management-api/class-pif_metrics.html)|The metrics associated with a physical network interface              |
|[pool](@root@management-api/class-pool.html)|Pool&#45;wide information                                             |
|[pool_patch](@root@management-api/class-pool_patch.html)|**Deprecated**. Pool&#45;wide patches                                 |
|[pool_update](@root@management-api/class-pool_update.html)|Pool&#45;wide updates to the host software                            |
|[probe_result](@root@management-api/class-probe_result.html)|A set of properties that describe one result element of SR.probe. Result elements and properties can change dynamically based on changes to the the SR.probe input&#45;parameters or the target.|
|[PUSB](@root@management-api/class-pusb.html)|A physical USB device                                                 |
|[PVS_cache_storage](@root@management-api/class-pvs_cache_storage.html)|Describes the storage that is available to a PVS site for caching purposes|
|[PVS_proxy](@root@management-api/class-pvs_proxy.html)|a proxy connects a VM/VIF with a PVS site                             |
|[PVS_server](@root@management-api/class-pvs_server.html)|individual machine serving provisioning &#40;block&#41; data          |
|[PVS_site](@root@management-api/class-pvs_site.html)|machines serving blocks of data for provisioning VMs                  |
|[Repository](@root@management-api/class-repository.html)|Repository for updates                                                |
|[role](@root@management-api/class-role.html)|A set of permissions associated with a subject                        |
|[SDN_controller](@root@management-api/class-sdn_controller.html)|Describes the SDN controller that is to connect with the pool         |
|[secret](@root@management-api/class-secret.html)|A secret                                                              |
|[session](@root@management-api/class-session.html)|A session                                                             |
|[SM](@root@management-api/class-sm.html)|A storage manager plugin                                              |
|[SR](@root@management-api/class-sr.html)|A storage repository                                                  |
|[sr_stat](@root@management-api/class-sr_stat.html)|A set of high&#45;level properties associated with an SR.             |
|[subject](@root@management-api/class-subject.html)|A user or group that can log in xapi                                  |
|[task](@root@management-api/class-task.html)|A long&#45;running asynchronous task                                  |
|[tunnel](@root@management-api/class-tunnel.html)|A tunnel for network traffic                                          |
|[USB_group](@root@management-api/class-usb_group.html)|A group of compatible USBs across the resource pool                   |
|[user](@root@management-api/class-user.html)|**Deprecated**. A user of the system                                  |
|[VBD](@root@management-api/class-vbd.html)|A virtual block device                                                |
|[VBD_metrics](@root@management-api/class-vbd_metrics.html)|**Removed**. The metrics associated with a virtual block device       |
|[VDI](@root@management-api/class-vdi.html)|A virtual disk image                                                  |
|[vdi_nbd_server_info](@root@management-api/class-vdi_nbd_server_info.html)|Details for connecting to a VDI using the Network Block Device protocol|
|[VGPU](@root@management-api/class-vgpu.html)|A virtual GPU &#40;vGPU&#41;                                          |
|[VGPU_type](@root@management-api/class-vgpu_type.html)|A type of virtual GPU                                                 |
|[VIF](@root@management-api/class-vif.html)|A virtual network interface                                           |
|[VIF_metrics](@root@management-api/class-vif_metrics.html)|**Removed**. The metrics associated with a virtual network device     |
|[VLAN](@root@management-api/class-vlan.html)|A VLAN mux/demux                                                      |
|[VM](@root@management-api/class-vm.html)|A virtual machine &#40;or 'guest'&#41;.                               |
|[VM_appliance](@root@management-api/class-vm_appliance.html)|VM appliance                                                          |
|[VM_group](@root@management-api/class-vm_group.html)|A VM group                                                            |
|[VM_guest_metrics](@root@management-api/class-vm_guest_metrics.html)|The metrics reported by the guest &#40;as opposed to inferred from outside&#41;|
|[VM_metrics](@root@management-api/class-vm_metrics.html)|The metrics associated with a VM                                      |
|[VMPP](@root@management-api/class-vmpp.html)|**Removed**. VM Protection Policy                                     |
|[VMSS](@root@management-api/class-vmss.html)|VM Snapshot Schedule                                                  |
|[VTPM](@root@management-api/class-vtpm.html)|A virtual TPM device                                                  |
|[VUSB](@root@management-api/class-vusb.html)|Describes the vusb device                                             |
